package twcsckernel.serverKernel.plugins;

import twcsckernel.projectbase.common.RemoteAgent;
import twcsckernel.projectbase.plugins.Plugin;
import twcsckernel.serverKernel.impl.UserImpl;

/**
 * Plugin serwerowy.
 * 
 * @author VMD Group
 * 
 */
public interface ServerPlugin extends Plugin {


	/**
	 * Metoda pobiera agenta plugina dla wskazanego uytkownika.
	 * @param user - uytkownik
	 * @return - agent plugina
	 */
	public RemoteAgent getOwnAgent(UserImpl user);

	/**
	 * Metoda suy do wylogowania uytkownika z plugina.
	 * 
	 * @param user
	 *            uytkownik do wylogowania
	 */
	public  void logoutUser(UserImpl user);

}
