package twcsckernel.clientKernel.io.fsChangeListenerClasses;

import java.io.Serializable;

import twcsckernel.projectbase.io.LocalFsChangeListener;

public class RegisteredListenersListElem implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1179900694579936612L;
	private int changeType;
	private LocalFsChangeListener listener;
	
	public RegisteredListenersListElem(){
		changeType=0;
	}
	
	public RegisteredListenersListElem(LocalFsChangeListener listener, int... changeTypes){
		this.listener = listener;
		changeType=0;
		addNewTypes(changeTypes);
	}
	
	public int getChangeType() {
		return changeType;
	}
	public void setChangeType(int changeType) {
		this.changeType = changeType;
	}

	public LocalFsChangeListener getListener() {
		return listener;
	}
	
	public void setListener(LocalFsChangeListener listener) {
		this.listener = listener;
	}
	
	public boolean equals(Object o){
		return (this.listener==((RegisteredListenersListElem)o).getListener());
	}
	
	public void addNewTypes(int... args){
		int andValue=0;
		for (int i : args){
			andValue|=i;
		}
		changeType|=andValue;
	}

	public int constraintListening(int[] changeTypes) {
		int value=0;
		for (int i : changeTypes){
			value|=i;
		}
		changeType = changeType & (~value);
		return changeType;
	}

	public boolean typeListen(int chType) {
		if ((changeType & chType) == chType)
			return true;
		return false;
	}
	
}
