package twcsckernel.projectbase.common;

import java.io.IOException;
import java.rmi.Remote;
import java.rmi.RemoteException;

import twcsckernel.projectbase.io.ItemNotFoundException;

public interface WriterFactory extends Remote {

    public void write(int streamID, int b) throws RemoteException,
            IOException, ItemNotFoundException;

    public void write(int streamID, byte[] b) throws RemoteException,
            IOException, ItemNotFoundException;

    public void flush(int streamID) throws RemoteException, IOException,
            ItemNotFoundException;

    public void close(int streamID) throws RemoteException, IOException,
            ItemNotFoundException;
}