package twcsckernel.serverKernel.usr;

import twcsckernel.serverKernel.impl.UserImpl;

/**
 * Interfejs listenera zmian w zalogowanych uytkownikach.
 * @author VMD Group
 *
 */
public interface LoginListener {

	/**
	 * Typ zdarzenia - logowanie 
	 */
	public static final boolean LOGGED_IN = true;

	/**
	 * Typ zdarzenia - wylogowanie
	 */
	public static final boolean LOGGED_OUT = false;

	/**
	 * Akcja podejmowana przy zalogowaniu bd wylogowaniu uytkownika.
	 * @param user - uytkownik ktrego akcja si tyczy
	 * @param eventType - typ zdarzenia dla logowania przyjmuje warto
	 *  {@link #LOGGED_IN LOGGED_IN} a dla wylogowania warto
	 *  {@link #LOGGED_OUT LOGGED_OUT}
	 */
	public void loginChangeAction(UserImpl user, boolean eventType);

}
