package twcsckernel.serverKernel.utils;

import java.security.MessageDigest;

/**
 * Klasa suca do hashowania hase uytkownikw algorytmem MD5.
 * 
 * @author VMD Group
 * 
 */
public class Encoder {
	/**
	 * Metoda zwraca MD5(parametr)
	 * @param input - acuch wejciowy
	 * @return - acuch wyjciowy (hash MD5)
	 */
	public static String hashPassword(String input) {
		MessageDigest md = null;
		String hex;
		StringBuffer out = new StringBuffer(32);
		try {
			md = MessageDigest.getInstance("MD5");
		} catch (Exception e) {
			return null;
		}
		final byte[] inputBytes = input.getBytes();
		final byte[] outputBytes = md.digest(inputBytes);
		for (int i = 0; i < outputBytes.length; i++) {
			hex = Integer.toHexString(((int) outputBytes[i]) & 0xff);
			if (hex.length() == 1)
				hex = "0" + hex;
			out.append(hex);
		}
		return out.toString();
	}

	public static void main(String argv[]) {
		System.out.println(hashPassword("haslo"));
	}

}
