package twcsckernel.serverKernel.usr;

import twcsckernel.serverKernel.impl.UserImpl;

/**
 * Interfejs listenera zmian w zalogowanych użytkownikach.
 * @author VMD Group
 *
 */
public interface LoginListener {

	/**
	 * Typ zdarzenia - logowanie 
	 */
	public static final boolean LOGGED_IN = true;

	/**
	 * Typ zdarzenia - wylogowanie
	 */
	public static final boolean LOGGED_OUT = false;

	/**
	 * Akcja podejmowana przy zalogowaniu bądź wylogowaniu użytkownika.
	 * @param user - użytkownik którego akcja się tyczy
	 * @param eventType - typ zdarzenia dla logowania przyjmuje wartość
	 *  {@link #LOGGED_IN LOGGED_IN} a dla wylogowania wartość
	 *  {@link #LOGGED_OUT LOGGED_OUT}
	 */
	public void loginChangeAction(UserImpl user, boolean eventType);

}
